Subject: bug#57372: no-toolkit menu popups do not respect emacs font configuration

From: Eli Zaretskii <[email-masked]>
Date: Wed, 24 Aug 2022 20:59:50 +0300

> From: Tomas Hlavaty <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 24 Aug 2022 19:49:23 +0200
> 
> On Wed 24 Aug 2022 at 15:27, Eli Zaretskii <[email-masked]> wrote:
> > Frames are a bad basis for menus: they (the frames) are too
> > heavyweight for a menu, so the resulting menus will look ugly.
> 
> I find the alien X resource fonts the ugliest, unreadable and very
> inconvenient because the font size is completely wrong and inconvenient
> to control.

But you can customize that via the X resources, can't you?  Just tell
the menus to use the same font Emacs uses for its default face.